<?php
/**
 * Builds the Extender Pro Image Manager admin content.
 *
 * @package Extender Pro
 */
?>

<div id="extender-pro-settings-nav-export-box" class="extender-pro-optionbox-outer-1col extender-pro-all-options extender-pro-options-display">
	<div class="extender-pro-optionbox-inner-1col" style="border: 1px solid #DFDFDF; -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05); box-shadow: 0 1px 2px rgba(0,0,0,.05);">
		<h3 style="border:0;"><?php _e( 'Image Uploader', 'extender-pro' ); ?></h3>
		
		<div class="extender-pro-image-manager-wrap" style="background:#FFFFFF; border-top:1px solid #F0F0F0; width:100%; padding:10px 10px 10px 0; float:left; box-sizing:border-box;">

			<div class="bg-box" style="margin-right:0; margin-bottom:0;">
				<form id="extender-pro-image-file-upload-form" method="POST" enctype="multipart/form-data">
				    <input type="hidden" name="MAX_FILE_SIZE" value="5000000"/>
				    <input type="file" multiple="multiple" name="images[]"/>
				    <input class="button rounded-button button-highlighted" type="submit" value="upload"/>
					<?php
					if ( is_dir( $extender_pro_images ) ) {
						
						$images_array = isset( $_FILES['images'] ) ? extender_pro_rearray_multi_image_upload( $_FILES['images'] ) : array();
						$upload_message_count = 0;
						
						foreach ( $images_array as $images ) {
							
							$image = new Bulletproof\ExtenderProImage( array( 'images' => $images ) );
							$image_upload_name = isset( $images['name'] ) ? $images['name'] : 'temp-image-name';
							$image_upload_name = substr( $image_upload_name, 0, strrpos( $image_upload_name, '.' ) );
							$image->setName( $image_upload_name );
							$image->setSize( 100, 5000000 );
							$image->setLocation( $extender_pro_images );
							
							if ( $image['images'] ) {
							
								$upload = $image->upload(); 
								
								if ( $upload_message_count == 0 ) {
								
									echo '<div class="extender-pro-image-file-upload-status">';
										
									if ( $upload )
										echo '<span class="dashicons dashicons-yes"></span>Image Upload Successful!';
									else
										echo '<span class="dashicons dashicons-warning"></span>' . $image['error'];
										
									echo '</div>';
								
								}
								
								$upload_message_count++;
							
							}
							
						}
						
					}
					?>
				</form>
			</div>
		</div>
	</div>
	
	<div class="extender-pro-optionbox-inner-1col" style="border: 1px solid #DFDFDF; -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05); box-shadow: 0 1px 2px rgba(0,0,0,.05);">
		<h3 style="border:0;"><?php _e( 'Extender Pro Images', 'extender-pro' ); ?></h3>
		
		<div class="extender-pro-image-manager-wrap" style="padding:10px 10px 10px 0; border-top:1px solid #F0F0F0; background:#FFFFFF;">

			<div class="bg-box" style="margin-right:0; margin-bottom:0;">
				<form action="/" id="extender-pro-image-file-control-form" name="extender-pro-image-file-control-form">
					<input type="hidden" name="action" value="extender_pro_image_file_control_save" />
					<input type="hidden" name="security" value="<?php echo wp_create_nonce( 'extender-pro-ajax-nonce' ); ?>" />
					
					<ul class="extender-pro-images-list">
						<?php
							foreach( glob( $extender_pro_images . '/*' ) as $filename ) {
								
								$image_size = getimagesize( $filename );
								
								echo '<li class="extender-pro-images-list-item">';
								echo '<div class="extender-pro-listed-image-header">';
								echo '<input class="extender-pro-listed-image-name" type="text" name="extender[image_name]" value="' . basename( $filename ) . '" title="' . basename( $filename ) . '">';
								echo '<span class="extender-pro-image-rename-button"/>' . __( 'Rename', 'extender-pro' ) . '</span>';
								echo '</div>';
								echo '<div class="extender-pro-listed-image-inner extender-pro-not-faded">';
								echo '<a href="' . $extender_pro_images_url . '/' . substr( $filename, strrpos( $filename, '/' ) + 1 ) . '" target="_blank"><img class="extender-pro-listed-image" height="100" width="10" src="' . $extender_pro_images_url . '/' . substr( $filename, strrpos( $filename, '/' ) + 1 ) . '"></a>';
								echo '<img class="extender-pro-ajax-save-spinner" src="' . EXTPRO_URL . 'lib/css/images/ajax-save-in-progress.gif" />';
								echo '<span class="extender-pro-saved"></span>';
								echo '</div>';
								echo '<div class="extender-pro-listed-image-info-inner extender-pro-faded">';
								echo '<span class="extender-pro-image-info-item-heading"><span class="dashicons dashicons-info"></span>' . __( 'Image Info', 'extender-pro' ) . '</span>';
								echo '<span class="extender-pro-image-info-item"><span class="dashicons dashicons-admin-links"></span><a href="' . $extender_pro_images_url . '/' . substr( $filename, strrpos( $filename, '/' ) + 1 ) . '" target="_blank">' . basename( $filename ) . '</span></a>';
								echo '<span class="extender-pro-image-info-item"><span class="dashicons dashicons-format-image"></span>' . __( 'W: ', 'extender-pro' ) . $image_size[0] . 'px' .  __( ' H: ', 'extender-pro' ) . $image_size[1] . 'px' . '</span>';
								echo '<span class="extender-pro-image-info-item"><span class="dashicons dashicons-format-image"></span>' . __( 'Filesize: ', 'extender-pro' ) . extender_pro_format_size_units( filesize( $filename ) ) . '</span>';
								echo '</div>';
								echo '<div class="extender-pro-listed-image-footer">';
								echo '<span class="extender-pro-image-info-button dashicons dashicons-editor-help"/></span>';
								echo '<span class="extender-pro-image-delete-button dashicons dashicons-no"/></span>';
								echo '</div>';
								echo '</li>';
							    
							}
						?>
					</ul>
					
					<div class="extender-pro-image-delete-all-button-container">
						<span class="button rounded-button button-highlighted extender-pro-image-delete-all-button"/><?php _e( 'Delete ALL Images', 'extender-pro' ); ?></span>
						<img class="extender-pro-ajax-save-spinner" src="<?php echo EXTPRO_URL; ?>/lib/css/images/ajax-save-in-progress.gif" />
						<span class="extender-pro-saved"></span>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>