<?php
/**
 * Builds the Extender Pro Settings admin content.
 *
 * @package Extender Pro
 */
?>

<div id="extender-pro-settings-nav-info-box" class="extender-pro-optionbox-outer-1col extender-pro-all-options extender-pro-options-display">
	<div class="extender-pro-optionbox-2col-left-wrap">
		
<?php	if( ! empty( $_GET['notice'] ) ) {
			if ( $_GET['notice'] == 'extender-pro-unwritable' ) {
?>				<div id="notice-box" style="background:#FFFBCC;border:1px solid #E6DB55;color:#555555;text-align:center;margin:0 0 15px;padding:15px;"><strong><?php _e( 'It appears that some of your files/folders are unwritable to Extender Pro. To allow Extender Pro to properly function you will need make the files and folders in (and including) the /wp-content/uploads/themer-pro/ directory. If you need assistance with this just contact the Cobalt Apps Support Team through your <a href="https://cobaltapps.com/my-account/" target="_blank">"My Account"</a> page on <a href="https://cobaltapps.com/" target="_blank">CobaltApps.com</a>.', 'themer-pro' ); ?></strong></div>
<?php		}
		}
?>	
		
		<div class="extender-pro-optionbox-outer-2col">
			<div class="extender-pro-optionbox-inner-2col">
				<h4><?php _e( 'Version/License Information', 'extender-pro' ); ?></h4>
				<div class="bg-box">
					<p>
						<?php _e( 'PHP Version:', 'extender-pro' ); ?> <b><code><?php echo PHP_VERSION ?></code></b>
					</p>
					
					<p>
						<?php _e( 'WordPress Version:', 'extender-pro' ); ?> <b><code><?php echo bloginfo('version') ?></code></b>
					</p>
					
					<?php
					$get_parent_theme = wp_get_theme( get_template() );
					$get_child_theme = wp_get_theme();
					?>
					
					<p>
						<?php _e( $get_parent_theme->Name . ' Version:', 'extender-pro' ); ?> <b><code><?php echo esc_attr( $get_parent_theme->Version ) ?></code></b>
					</p>
					
					<?php if ( is_child_theme() ) { ?>
					<p>
						<?php _e( $get_child_theme->Name . ' Version:', 'extender-pro' ); ?> <b><code><?php echo esc_attr( $get_child_theme->Version ) ?></code></b>
					</p>
					<?php } ?>
					
					<?php extender_pro_license_options(); ?>
				</div>
			</div>
		</div>
		
		<div class="extender-pro-optionbox-outer-2col">
			<div class="extender-pro-optionbox-inner-2col">
				<h4><?php _e( 'Links & Resources', 'extender-pro' ); ?></h4>
				<div class="resource-box">
					<p>
						<?php _e( 'Support & Resources:', 'extender-pro' ); ?> <a href="https://cobaltapps.com/my-account/" target="_blank">https://cobaltapps.com/my-account/</a>
					</p>
					
					<p>
						<?php _e( 'Cobalt Apps Docs:', 'extender-pro' ); ?> <a href="http://docs.cobaltapps.com/" target="_blank">http://docs.cobaltapps.com/</a>
					</p>

					<p>
						<?php _e( 'Cobalt Apps Community:', 'extender-pro' ); ?> <a href="https://cobaltapps.com/community/" target="_blank">https://cobaltapps.com/community/</a>
					</p>
					
					<p>
						<?php _e( 'Cobalt Apps Affiliates:', 'extender-pro' ); ?> <a href="https://cobaltapps.com/affiliates/" target="_blank">https://cobaltapps.com/affiliates/</a>
					</p>
					
					<p>
						<?php _e( 'See current Extender Pro supported Themes', 'extender-pro' ); ?> <a href="https://cobaltapps.com/extender-pro-supported-themes/" target="_blank"><?php _e( 'HERE', 'extender-pro' ); ?></a>.
					</p>
				</div>
			</div>
		</div>
	
	</div>

	<div class="extender-pro-optionbox-2col-right-wrap">
		
		<form action="/" id="extender-pro-settings-form" name="extender-pro-settings-form">
		
			<input type="hidden" name="action" value="extender_pro_settings_save" />
			<input type="hidden" name="security" value="<?php echo wp_create_nonce( 'extender-pro-ajax-nonce' ); ?>" />
		
			<div class="extender-pro-optionbox-outer-2col">
				<div class="extender-pro-optionbox-inner-2col">
					<h4><?php _e( 'General Settings', 'extender-pro' ); ?></h4>
					
					<div class="bg-box">
						
						<p>
							<input type="checkbox" id="extender-pro-enable-frontend-dev-tools" name="extender[enable_frontend_dev_tools]" value="1" <?php if ( checked( 1, extender_pro_get_settings( 'enable_frontend_dev_tools' ) ) ); ?> /> <?php _e( 'Enable ', 'extender-pro' ); ?><span class="dashicons dashicons-laptop"></span><?php _e( ' Frontend Dev Tools?', 'extender-pro' ); ?>
						</p>
						
						<p>
							<input type="checkbox" id="extender-pro-enable-frontend-hooks-map" name="extender[enable_frontend_hooks_map]" value="1" <?php if ( checked( 1, extender_pro_get_settings( 'enable_frontend_hooks_map' ) ) ); ?> /> <?php _e( 'Enable ', 'extender-pro' ); ?><span class="dashicons dashicons-location-alt"></span><?php _e( ' Frontend Hooks Map?', 'extender-pro' ); ?>
						</p>
						
						<p>
							<input type="checkbox" id="extender-pro-enable-ace-editor-syntax-validation" name="extender[enable_ace_editor_syntax_validation]" value="1" <?php if ( checked( 1, extender_pro_get_settings( 'enable_ace_editor_syntax_validation' ) ) ); ?> /> <?php _e( 'Enable ', 'extender-pro' ); ?><span class="dashicons dashicons-media-code"></span><?php _e( ' Ace Editor Syntax Validation Checking?', 'extender-pro' ); ?>
						</p>
						
						<p>
							<input type="checkbox" id="extender-pro-enable-minify-scripts" name="extender[enable_minified_scripts]" value="1" <?php if ( checked( 1, extender_pro_get_settings( 'enable_minified_scripts' ) ) ); ?> /> <?php _e( 'Enable ', 'extender-pro' ); ?><span class="dashicons dashicons-media-code"></span><?php _e( ' Minified Extender Pro Styles & Scripts?', 'extender-pro' ); ?>
						</p>
						
						<p>
							<input type="checkbox" id="extender-pro-enable-protocol-relative-urls" name="extender[enable_protocol_relative_urls]" value="1" <?php if ( checked( 1, extender_pro_get_settings( 'enable_protocol_relative_urls' ) ) ); ?> /> <?php _e( 'Enable ', 'extender-pro' ); ?><span class="dashicons dashicons-admin-links"></span><?php _e( ' Protocol Relative URLs?', 'extender-pro' ); ?> <a href="https://docs.cobaltapps.com/article/161-enable-protocol-relative-urls" class="tooltip-mark" target="_blank">[?]</a>
						</p>
						
					</div>
					
					<div class="extender-pro-settings-save-container">
						<input id="extender-pro-settings-save-button" type="submit" value="<?php _e( 'Save Changes', 'extender-pro' ); ?>" name="Submit" alt="Save Changes"  class="extender-pro-save-button button button-primary"/>
						<img class="extender-pro-ajax-save-spinner" src="<?php echo EXTPRO_URL . '/lib/css/images/ajax-save-in-progress.gif'; ?>" />
						<span class="extender-pro-saved"></span>
					</div>
				</div>
			</div>
		
		</form>

	</div>
	
	<div class="extender-pro-optionbox-2col-right-wrap">
		
		<form action="/" id="extender-pro-custom-options-reset-form" name="extender-pro-custom-options-reset-form">
		
			<input type="hidden" name="action" value="extender_pro_custom_options_reset" />
			<input type="hidden" name="security" value="<?php echo wp_create_nonce( 'extender-pro-ajax-nonce' ); ?>" />
		
			<div class="extender-pro-optionbox-outer-2col">
				<div class="extender-pro-optionbox-inner-2col">
					<h4><?php _e( 'Custom Options Reset', 'extender-pro' ); ?></h4>
					
					<div class="bg-box">
						
						<p class="extender-pro-custom-options-reset-p">
							<?php _e( 'This will completely reset your Extender Pro Custom Options back to their original "blank" state.', 'extender-pro' ); ?>
						</p>
						
					</div>
					
					<div class="extender-pro-custom-options-reset-container">
						<input id="extender-pro-custom-options-reset-button" type="submit" value="<?php _e( 'Reset Custom Options', 'extender-pro' ); ?>" name="Submit" onClick='return confirm("<?php _e( 'Are you sure your want to reset your Extender Pro Custom Options?', 'extender-pro' ); ?>")' alt="Reset Custom Options"  class="extender-pro-save-button button"/>
						<img class="extender-pro-ajax-save-spinner" src="<?php echo EXTPRO_URL . '/lib/css/images/ajax-save-in-progress.gif'; ?>" />
						<span class="extender-pro-saved"></span>
					</div>
				</div>
			</div>
		
		</form>

	</div>
</div>