<?php
/**
 * Builds the Custom Options admin page.
 *
 * @package Extender Pro
 */
 
/**
 * Build the Extender Pro Custom Options admin page.
 *
 * @since 1.0.0
 */
function extender_pro_custom_options() {
	
	$custom_styles = get_option( extender_pro_theme_option_name( 'custom_styles' ) );
	$custom_functions = get_option( extender_pro_theme_option_name( 'custom_functions' ) );
	$custom_frontend_functions = get_option( extender_pro_theme_option_name( 'custom_frontend_functions' ) );
	$custom_header_scripts = get_option( extender_pro_theme_option_name( 'custom_header_scripts' ) );
	$custom_footer_scripts = get_option( extender_pro_theme_option_name( 'custom_footer_scripts' ) );
	$custom_templates = extender_pro_get_templates();
	$custom_labels = extender_pro_get_labels();
	$custom_conditionals = extender_pro_get_conditionals();
	$custom_widgets = extender_pro_get_widgets();
	$custom_hooks = extender_pro_get_hooks();
?>
	<div class="wrap">
		
		<div id="extender-pro-admin-options-iframe-container">
			
			<div id="extender-pro-admin-options-container">
		
				<div id="extender-pro-custom-saved" class="extender-pro-update-box"></div>
				
				<?php
				if ( ! empty( $_GET['activetab'] ) ) { ?>
					<script type="text/javascript">
						jQuery(document).ready(function($) {
							var href = window.location.href, newUrl = href.substring(0, href.indexOf('&'));
							window.history.replaceState({}, '', newUrl);
							$('#<?php echo $_GET['activetab']; ?>').click();
						});
					</script>	
				<?php
				}
				
				if ( ! empty( $_GET['iframe'] ) ) { ?>
					<script type="text/javascript">
						jQuery(document).ready(function($) {
							var href = window.location.href, newUrl = href.substring(0, href.indexOf('&'));
							window.history.replaceState({}, '', newUrl);
							$('#extender-pro-admin-heading-dashicons-container .dashicons-editor-expand').click();
						});
					</script>	
				<?php
				} ?>
				
				<div id="extender-pro-admin-header-container">
				
					<div id="icon-options-general" class="icon32"></div>
					
					<h2 id="extender-pro-admin-heading"><?php _e( 'Extender Pro - Custom Options', 'extender-pro' ); ?></h2>
					
					<div id="extender-pro-admin-heading-dashicons-container">
						
						<span class="dashicons dashicons-editor-expand extender-pro-admin-header-iframe-toggle" title="Enable Site Preview"></span>
						<span class="dashicons dashicons-editor-contract extender-pro-admin-header-iframe-toggle" title="Disable Site Preview" style="display:none;"></span>
						<span class="dashicons dashicons-smartphone extender-pro-admin-header-iframe-device" title="320x480" style="display:none;"></span>
						<span class="dashicons dashicons-tablet extender-pro-admin-header-iframe-device" title="720x1080" style="display:none;"></span>
						<span class="dashicons dashicons-desktop extender-pro-admin-header-iframe-device" title="100x100" style="display:none;"></span>
						<span class="dashicons dashicons-image-rotate" title="Refresh iFrame" style="display:none;"></span>
						<span class="dashicons dashicons-admin-home" title="Visit Homepage" style="display:none;"></span>
						
					</div>
				
				</div><!-- END #extender-pro-admin-header-container -->
			
				<div id="extender-pro-admin-wrap">
					
					<form action="/" id="custom-options-form" name="custom-options-form">
					
						<input type="hidden" name="action" value="extender_pro_custom_options_save" />
						<input type="hidden" name="security" value="<?php echo wp_create_nonce( 'extender-pro-ajax-nonce' ); ?>" />
					
						<div id="extender-pro-floating-save">
							<input type="submit" value="<?php _e( 'Save Changes', 'extender-pro' ); ?>" name="Submit" alt="Save Changes" class="extender-pro-save-button button button-primary"/>
							<img class="extender-pro-ajax-save-spinner" src="<?php echo site_url() . '/wp-admin/images/spinner-2x.gif'; ?>" />
							<span class="extender-pro-saved"></span>
						</div>
							
						<div id="extender-pro-custom-options-nav" class="extender-pro-admin-nav">
							<ul>
								<li id="extender-pro-custom-options-nav-css" class="extender-pro-options-nav-all extender-pro-options-nav-active"><a href="#">Styles</a></li>
								<li id="extender-pro-custom-options-nav-functions" class="extender-pro-options-nav-all"><a href="#">Functions</a></li>
								<li id="extender-pro-custom-options-nav-js" class="extender-pro-options-nav-all"><a href="#">Scripts</a></li>
								<li id="extender-pro-custom-options-nav-templates" class="extender-pro-options-nav-all"><a href="#">Templates</a></li>
								<li id="extender-pro-custom-options-nav-labels" class="extender-pro-options-nav-all"><a href="#">Labels</a></li>
								<li id="extender-pro-custom-options-nav-conditionals" class="extender-pro-options-nav-all"><a href="#">Conditionals</a></li>
								<li id="extender-pro-custom-options-nav-widget-areas" class="extender-pro-options-nav-all"><a href="#">Widget Areas</a></li>
								<li id="extender-pro-custom-options-nav-hook-boxes" class="extender-pro-options-nav-all"><a class="extender-pro-options-nav-last" href="#">Hook Boxes</a></li>
							</ul>
						</div>
						
						<div class="extender-pro-custom-options-wrap">
							<?php require_once( EXTPRO_DIR . 'lib/admin/boxes/custom-styles.php' ); ?>
							<?php require_once( EXTPRO_DIR . 'lib/admin/boxes/custom-functions.php' ); ?>
							<?php require_once( EXTPRO_DIR . 'lib/admin/boxes/custom-scripts.php' ); ?>
							<?php require_once( EXTPRO_DIR . 'lib/admin/boxes/custom-templates.php' ); ?>
							<?php require_once( EXTPRO_DIR . 'lib/admin/boxes/custom-labels.php' ); ?>
							<?php require_once( EXTPRO_DIR . 'lib/admin/boxes/custom-conditionals.php' ); ?>
							<?php require_once( EXTPRO_DIR . 'lib/admin/boxes/custom-widget-areas.php' ); ?>
							<?php require_once( EXTPRO_DIR . 'lib/admin/boxes/custom-hook-boxes.php' ); ?>
						</div>
					
					</form>
				
				</div><!-- END #extender-pro-admin-wrap -->
				
			</div><!-- END #extender-pro-admin-options-container -->

			<div id="extender-pro-admin-iframe-container" style="display:none;">

				<script type="text/javascript">
					var extender_pro_iframe = '<iframe id="extender-pro-admin-iframe" src="<?php echo site_url(); ?>"></iframe>';
				</script>

			</div><!-- END #extender-pro-admin-iframe-container -->

		</div><!-- END #extender-pro-admin-options-iframe-container -->
				
	</div><!-- Close Wrap -->
<?php
}

add_action( 'wp_ajax_extender_pro_custom_options_save', 'extender_pro_custom_options_save' );
/**
 * Use ajax to update the Custom Options based on the posted values.
 *
 * @since 1.0.0
 */
function extender_pro_custom_options_save() {
	
	check_ajax_referer( 'extender-pro-ajax-nonce', 'security' );
	
	if ( extender_pro_get_settings( 'enable_frontend_dev_tools' ) )
		$custom_styles = get_option( extender_pro_theme_option_name( 'custom_styles' ) );
	else
		$custom_styles = $_POST['extender']['custom_styles'];

	update_option( extender_pro_theme_option_name( 'custom_styles' ), $custom_styles );
	
	$functions_default = '<?php
/* Do not remove this line. Add your functions below. (NOTE: These functions affect both front-end AND admin.) */
';
	
	if ( ! empty( $_POST['custom_functions'] ) ) {
		
		$custom_functions = $_POST['custom_functions']['custom_functions'] != '' ? $_POST['custom_functions']['custom_functions'] : $functions_default;
		update_option( extender_pro_theme_option_name( 'custom_functions' ), $custom_functions );
		
	}
	
	$frontend_functions_default = '<?php
/* Do not remove this line. Add your front-end functions below. (These functions affect front-end only.) */
';
	
	if ( ! empty( $_POST['custom_frontend_functions'] ) ) {
		
		$custom_frontend_functions = $_POST['custom_frontend_functions']['custom_frontend_functions'] != '' ? $_POST['custom_frontend_functions']['custom_frontend_functions'] : $frontend_functions_default;
		update_option( extender_pro_theme_option_name( 'custom_frontend_functions' ), $custom_frontend_functions );
		
	}

	if ( ! empty( $_POST['custom_header_scripts'] ) )
		update_option( extender_pro_theme_option_name( 'custom_header_scripts' ), $_POST['custom_header_scripts']['custom_header_scripts'] );
		
	if ( ! empty( $_POST['custom_footer_scripts'] ) )
		update_option( extender_pro_theme_option_name( 'custom_footer_scripts' ), $_POST['custom_footer_scripts']['custom_footer_scripts'] );

	if ( ! empty( $_POST['custom_template_ids'] ) ) {
		
		$template_ids_empty = true;
		foreach( $_POST['custom_template_ids'] as $key ) {
			
			if ( ! empty( $key ) )
				$template_ids_empty = false;

		}
		foreach( $_POST['custom_template_ids'] as $key ) {
			
			if ( empty( $key ) && ! $template_ids_empty ) {
				
				echo 'Please fill in ALL "File Name" fields';
				exit();
				
			}
			
		}
		extender_pro_update_templates( $_POST['custom_template_ids'], $_POST['custom_template_names'], $_POST['custom_template_types'], $_POST['custom_template_post_types'], $_POST['custom_template_textarea'] );
		
	}

	if ( ! empty( $_POST['custom_label_names'] ) ) {
		
		$label_names_empty = true;
		foreach( $_POST['custom_label_names'] as $key ) {
			
			if ( ! empty( $key ) ) {
				
				$label_names_empty = false;
				
			}
			
		}
		foreach( $_POST['custom_label_names'] as $key ) {
			
			if ( empty( $key ) && ! $label_names_empty ) {
				
				echo 'Please fill in ALL "Name" fields';
				exit();
				
			}
			
		}
		extender_pro_update_labels( $_POST['custom_label_names'] );

		if ( ! empty( $_POST['custom_label_create_conditionals'] ) ) {
			
			$custom_conditional_ids = array();
			$custom_conditional_tags = array();
			foreach( $_POST['custom_label_create_conditionals'] as $key => $value ) {
				
				$custom_conditional_ids[] = 'has_label_' . str_replace( '-', '_', extender_pro_sanitize_string( $_POST['custom_label_names'][$key] ) );
				$custom_conditional_tags[] = 'extender_pro_has_label(\'' . extender_pro_sanitize_string( $_POST['custom_label_names'][$key] ) . '\')';
				
			}
			extender_pro_update_conditionals( $custom_conditional_ids, $custom_conditional_tags );
			
		}
		
	}
	
	if ( ! empty( $_POST['custom_widget_conditionals_list'] ) )
		$custom_widget_conditionals_list = $_POST['custom_widget_conditionals_list'];
	else
		$custom_widget_conditionals_list = array();
	
	if ( ! empty( $_POST['custom_hook_conditionals_list'] ) )
		$custom_hook_conditionals_list = $_POST['custom_hook_conditionals_list'];
	else
		$custom_hook_conditionals_list = array();
	
	if ( ! empty( $_POST['custom_conditional_ids'] ) ) {
		
		$conditional_ids_empty = true;
		foreach( $_POST['custom_conditional_ids'] as $key ) {
			
			if ( ! empty( $key ) )
				$conditional_ids_empty = false;
				
		}
		foreach( $_POST['custom_conditional_ids'] as $key ) {
			
			if ( empty( $key ) && ! $conditional_ids_empty ) {
				
				echo 'Please fill in ALL "Name" fields';
				exit();
				
			}
			
		}
		extender_pro_update_conditionals( $_POST['custom_conditional_ids'], $_POST['custom_conditional_tags'] );
		
	}
	if ( ! empty( $_POST['custom_widget_ids'] ) ) {
		
		$widget_ids_empty = true;
		foreach( $_POST['custom_widget_ids'] as $key ) {
			
			if ( ! empty( $key ) )
				$widget_ids_empty = false;
				
		}
		foreach( $_POST['custom_widget_ids'] as $key ) {
			
			if ( empty( $key ) && ! $widget_ids_empty ) {
				
				echo 'Please fill in ALL "Name" fields';
				exit();
				
			}
		}
		extender_pro_update_widgets( $_POST['custom_widget_ids'], $custom_widget_conditionals_list, $_POST['custom_widget_hook'], $_POST['custom_widget_class'], $_POST['custom_widget_description'], $_POST['custom_widget_status'], $_POST['custom_widget_priority'] );
	
	}
	if ( ! empty( $_POST['custom_hook_ids'] ) ) {
		
		$hook_ids_empty = true;
		foreach( $_POST['custom_hook_ids'] as $key ) {
			
			if ( ! empty( $key ) )
				$hook_ids_empty = false;

		}
		foreach( $_POST['custom_hook_ids'] as $key ) {
			
			if ( empty( $key ) && ! $hook_ids_empty ) {
				
				echo 'Please fill in ALL "Name" fields';
				exit();
				
			}
			
		}
		extender_pro_update_hooks( $_POST['custom_hook_ids'], $custom_hook_conditionals_list, $_POST['custom_hook_hook'], $_POST['custom_hook_status'], $_POST['custom_hook_priority'], $_POST['custom_hook_textarea'] );
	
	}
	
	extender_pro_write_files( $css = true );
	
	echo 'Saved!';
	exit();
	
}
