<?php
/**
 * Enqueue/Echo the Extender Pro stylesheets/CSS.
 *
 * @package Extender Pro
 */

add_action( 'wp_enqueue_scripts', 'extender_pro_add_stylesheets', 1001 );
/**
 * Add the appropriate Extender Pro stylesheet.
 *
 * @since 1.0.0
 */
function extender_pro_add_stylesheets() {
	
	$extender_pro_fe_dev_tools = false;
	if ( extender_pro_get_settings( 'enable_frontend_dev_tools' ) && current_user_can( 'administrator' ) )
		$extender_pro_fe_dev_tools = true;
		
	if ( ! extender_pro_get_settings( 'enable_minified_scripts' ) && file_exists( extender_pro_get_custom_stylesheet_path() ) && ! $extender_pro_fe_dev_tools )
		wp_enqueue_style( 'extender-pro-custom', extender_pro_get_custom_stylesheet_url(), false, filemtime( extender_pro_get_custom_stylesheet_path() ) );

	if ( extender_pro_get_settings( 'enable_minified_scripts' ) && ! $extender_pro_fe_dev_tools )
		wp_enqueue_style( 'extender-pro-minified', extender_pro_get_minified_stylesheet_url(), false, filemtime( extender_pro_get_minified_stylesheet_path() ) );
		
}
