jQuery(document).ready(function($) {
	
	$('.extender-pro-image-info-button').click(function() {
		var active_li = $(this).closest('li');
		
		active_li.find('.extender-pro-listed-image-inner').toggleClass('extender-pro-faded extender-pro-not-faded');
		active_li.find('.extender-pro-listed-image-info-inner').toggleClass('extender-pro-faded extender-pro-not-faded');
		active_li.find('.extender-pro-listed-image-inner.extender-pro-faded').toggle();
		active_li.find('.extender-pro-listed-image-inner.extender-pro-not-faded').fadeToggle();
		active_li.find('.extender-pro-listed-image-info-inner.extender-pro-faded').toggle();
		active_li.find('.extender-pro-listed-image-info-inner.extender-pro-not-faded').fadeToggle();
	});
	
	$('.extender-pro-image-rename-button').click(function() {
		var answer = confirm ('Are you sure you want to rename this image?');
		if(answer) {
			$('#extender-pro-image-file-control-form li').removeAttr('id');
			$(this).closest('li').attr('id', 'extender-pro-images-list-rename');
			$('#extender-pro-image-file-control-form').submit();
		}
	});
	
	$('.extender-pro-image-delete-button').click(function() {
		var answer = confirm ('Are you sure you want to delete this image?');
		if(answer) {
			$('#extender-pro-image-file-control-form li').removeAttr('id');
			$(this).closest('li').attr('id', 'extender-pro-images-list-delete');
			$('#extender-pro-image-file-control-form').submit();
		}
	});
	
	$('.extender-pro-image-delete-all-button').click(function() {
		var answer = confirm ('Are you sure you want to delete ALL Child Theme images?');
		if(answer) {
			$('#extender-pro-image-file-control-form li').removeAttr('id');
			$('.extender-pro-image-delete-all-button-container').attr('id', 'extender-pro-images-list-delete-all');
			$('#extender-pro-image-file-control-form').submit();
		}
	});
	
	function show_message(response, theme_type) {
		$('#extender-pro-image-file-control-form #extender-pro-images-list-rename .extender-pro-ajax-save-spinner').hide();
		$('#extender-pro-image-file-control-form #extender-pro-images-list-rename .extender-pro-saved').html(response).fadeIn('slow');
		$('#extender-pro-image-file-control-form #extender-pro-images-list-delete .extender-pro-ajax-save-spinner').hide();
		$('#extender-pro-image-file-control-form #extender-pro-images-list-delete .extender-pro-saved').html(response).fadeIn('slow');
		$('#extender-pro-image-file-control-form #extender-pro-images-list-delete-all .extender-pro-ajax-save-spinner').hide();
		$('#extender-pro-image-file-control-form #extender-pro-images-list-delete-all .extender-pro-saved').html(response).fadeIn('slow');
		window.setTimeout(function() {
			$('#extender-pro-image-file-control-form .extender-pro-saved').fadeOut('slow');
			if(response.substring(0, 5) != 'Error') {
				location.reload();
			}
		}, 2222);
	}
	
	$('#extender-pro-image-file-control-form').on('submit', function() {
		$('#extender-pro-image-file-control-form #extender-pro-images-list-rename .extender-pro-ajax-save-spinner').show();
		$('#extender-pro-image-file-control-form #extender-pro-images-list-delete .extender-pro-ajax-save-spinner').show();
		$('#extender-pro-image-file-control-form #extender-pro-images-list-delete-all .extender-pro-ajax-save-spinner').show();
		
		if($('#extender-pro-images-list-rename').length != 0) {
			var action_type = 'rename';
			var name = $('#extender-pro-images-list-rename .extender-pro-listed-image-name').attr('title');
			var new_name = $('#extender-pro-images-list-rename .extender-pro-listed-image-name').val();
		} else if($('#extender-pro-images-list-delete').length != 0) {
			var action_type = 'delete';
			var name = $('#extender-pro-images-list-delete .extender-pro-listed-image-name').attr('title');
			var new_name = '';
		} else if($('#extender-pro-images-list-delete-all').length != 0) {
			var action_type = 'delete_all';
			var name = '';
			var new_name = '';
		}
		var data = $(this).serialize()+'&action_type='+action_type+'&name='+name+'&new_name='+new_name;
		$.post(ajaxurl, data, function(response) {
			if(response) {
				show_message(response);
			}
		});
		
		return false;
	});
	
});